import request from "../request/request";
import requestPython from '../request/requestPython'

export async function GetProjectSplitSummary(params: any) {
    const data: any = await request.get('/BusinessProject/GetMonthSummaryList', params)

    if (data.Result_Code !== 100) {
        return {
            data: [],
            current: 1,
            pageSize: 20,
            total: 0,
            success: true,
        };
    }

    return data.Result_Data;
}

// 测试AI回复 
export async function handleGetGeminiResult(params: any) {
    const data: any = await requestPython.post('gemini/query/', params)

    if (data.Result_Code !== 100) {
        return {
            data: [],
            current: 1,
            pageSize: 20,
            total: 0,
            success: true,
        };
    }

    return data
}